import request from '@/utils/request'

// 查询资产调拨列表
export function listAllocation(query) {
  return request({
    url: '/change/allocation/list',
    method: 'get',
    params: query
  })
}

// 查询资产调拨详细
export function getAllocation(id) {
  return request({
    url: '/change/allocation/' + id,
    method: 'get'
  })
}

// 新增资产调拨
export function addAllocation(data) {
  return request({
    url: '/change/allocation',
    method: 'post',
    data: data
  })
}

// 修改资产调拨
export function updateAllocation(data) {
  return request({
    url: '/change/allocation',
    method: 'put',
    data: data
  })
}

// 删除资产调拨
export function delAllocation(id) {
  return request({
    url: '/change/allocation/' + id,
    method: 'delete'
  })
}
